WESNOTHD(6)

PAVADINIMAS
wesnothd - Mūšio dėl Wesnoth daugelio žaidėjų žaidimo tinklo demonas

REZIUMĖ
wesnothd [-dv] [-c kelias] [-p prievadas] [-t skaičius] [-T skaičius]
wesnothd -V

APRAŠYMAS
Tvarko Mūšio dėl Wesnoth daugelio žaidėjų žaidimus. Žiūrėkite http://www.wesnoth.org/wiki/ServerAdministration kurias komandas priima serveris iš wesnoth kliento (/query ...) arba per fifo.

PARAMETRAI

-c kelias, --config kelias
    tells wesnothd where to find the config file to use. See the section SERVER CONFIG below for the syntax. You can reload the config with sending SIGHUP to the server process.

-d, --daemon
    paleidžia wesnothd kaip demoną.

-h, --help
    pasako Jums, ką daro komandinės eilutės parametrai.

--log-lygis=domenas1,domenas2,...
    sets the severity level of the log domains. all can be used to match any log domain. Available levels: error, warning, info, debug. By default the error level is used and the info level for the server domain.

-p prievadas, --port prievadas
    susieja serverį su nurodytu prievadu. Jeigu prievadas nenurodytas, tai bus naudojamas 15000 prievadas.

-t skaičius, --threads skaičius
    nustato didžiausią laukiančių darbinių tinklo Į/I gijų skaičių į n (numatyta: 5), daugiausiai: 30).

-T skaičius, --max-threads skaičius
    nustato maksimalų darbinių gijų, kurios bus sukurtos, skaičių. Jei nustatyta 0, tai nebus jokių apribojimų (numatyta: 0).

-V, --version
    parodo versijos numerį ir išsijungia.

-v, --verbose
    įjungia derinimo režimo išvestį.

SERVERIO KONFIGŪRACIJA

  Bendra sintaksė:

[elementas]

    raktas="vertė"

    raktas=„vertė,vertė,...“

[/elementas]

  Globalūs raktai:

ban_save_file
    Full or relative path to a (gzip compressed) file that the server can read and write. Bans will be saved to this file and read again on server start.

connections_allowed
    Leidižamų prisijungimų skaičius iš to paties IP. 0 reiškia begalybė. (numatyta: 5)

disallow_names
    Names/nicks that are not accepted by the server. `*' and `?' from wildcard patterns are supported. See glob(7) for more details. Default values (used if nothing is specified) are: *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

fifo_path
    The path to the fifo you can echo server commands into (same as /query ... from wesnoth). If not specified defaults to the compile-time specified path (default: /var/run/socket/wesnothd/socket).

max_messages
    Leidžiamų pranešimų skaičius esančių messages_time_period. (numatyta: 4)

messages_time_period
    The time period (in seconds) message flooding is detected in. (default: 10 seconds)

motd
    Dienos pranešimas.

passwd
    Slaptažodis naudojamas gauti administratoriaus teises. Paparstai jis prasideda „admin “.

replay_save_path
    Aplankas, kuriame serveris saugos žaidimų pakartojimus (gale nepamirškite /!). Numatyta „“, kas reiškia tą patį aplanką, kur buvo paleistas serveris.

restart_command
    Komandos, kurias serveris naudoja paleisti naują serverio procesą su „restart“ komanda. (gali būti iškviesta per fifo.)

save_replays
    Nurodo ar serveris automatiškai saugos žaidimų pakartojimus. (numatyta: false)

versions_accepted
    Kableliais atskirtų versijų, kurias pripažįsta serveris, sąrašas. Leidžia naudoti „*“ ir „?“ kaip pakaitos šablonus. (numatytoji reikšmė: tokia pati versija, kaip ir serverio)
    Pavyzdys: versions_accepted="*" priima bet kokią versiją.

user_handler
    The name of the user handler to use. Currently available user handlers are 'forum' (to connect wesnothd to a phpbb forum database) and 'sample' (a sample implementation of the user handler interface, if you use this on anything real you are insane). The default value is 'forum'. You must also add a [user_handler] section, see below.

  Globalūs elementai:

[redirect] Elementas, nurodantis serveriui kur peradresuoti tam tikras klientų versijas.

    host
        Serverio, į kurį peradresuoti, adresas.

    port
        Prievadas, prie kurio jungtis.

    version
        Kableliais atskirtų versijų, kurias reikia peradresuoti, sąrašas. Pakaitos šablonų atžvilgiu, elgiasi taip pat, kaip ir versions_accepted.

[ban_time] A tag to define convenient keywords for temporary ban time lengths.

    name
        The name used to reference the ban time.

    time
        The time length definition. The format is: %d[%s[%d%s[...]]] where %s is s (seconds), m (minutes), h (hours), D (days), M (months) or Y (years) and %d is a number. If no time modifier is given minutes (m) are assumed. Example: time="1D12h30m" results in a ban time of 1 day, 12 hours and 30 minutes.

[proxy] Elementas, nurodantis serveriui elgtis kaip proksi ir persiųsti visus prisijungusius klientus į nurodytą serverį. Priima tuos pačius raktus kaip ir [redirect].

[user_handler] Configures the user handler. Available keys vary depending on which user handler is set with the user_handler key. If no [user_handler] section is present in the configuration the server will run without any nick registration service.

    db_host
        (skirtas user_handler=forum) Duomenų bazės serverio vardas

    db_name
        (skirtas user_handler=forum) Duomenų bazės pavadinimas

    db_user
        (skirtas user_handler=forum) Naudotojo vardas, kuriuo jungtis prie duomenų bazės

    db_password
        (skirtas user_handler=forum) Šio naudotojo slaptažodis

    db_users_table
        (skirtas user_handler=forum) Lentelės pavadinimas, kurioje jūsų phpbb forumas saugo savo naudotojų duomenis. Labiausiai tikėtina, kad tai bus <lentelės-priešdėlis>_users (pavyzdžiui, phpbb3_users).

    db_extra_table
        (skirtas user_handler=forum) Lentelės pavadinimas, kurioje wesnothd saugos savo duomenis apie vartotojus. Lentelę turėsite sukurti patys. Pavyzdžiui, šitaip: CREATE TABLE <table-name>(username VARCHAR(255) PRIMARY KEY, user_lastvisit INT UNSIGNED NOT NULL DEFAULT 0, user_is_moderator TINYINT(4) NOT NULL DEFAULT 0);

    user_expiration
        (skirtas user_handler=sample) Laikas, per kiek pasensta vartotojo registracija (dienomis).

[mail] Configures an SMTP server through which the user handler can send mail. Currently only used by the sample user handler.

    server
        Pašto serverio vardas

    username
        Naudotojo vardas, kuriuo bus jungiamasi prie pašto serverio.

    password
        Naudotojo slaptažodis.

    from_address
        Jūsų pašto atbulinio atsakymo adresas.

    mail_port
        Prievadas, kuriame veikia jūsų pašto serveris. Numatytas yra 25.

AUTORIUS
Parašė David White <davidnwhite@verizon.net>. Redagavo Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net>, Soliton <soliton.de@gmail.com> ir Thomas Baumhauer <thomas.baumhauer@gmail.com>. Šį dokumentacijos puslapį iš pradžių parašė Cyril Bouthors <cyril@bouthors.org>.
Aplankykite oficialų puslapį: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Tai yra laisva programa; ši programa licencijuota Free Software Foundation (Laisvos programinės įrangos fondo) paskelbta GPL 2 versija. Nėra JOKIOS garantijos; netgi PERKAMUMO ar TINKAMUMO KONKRETIEMS TIKSLAMS.

TAIP PAT ŽIŪRĖKITE
wesnoth(6), wesnoth_editor(6)